#!/bin/sh

# $FreeBSD: ports/databases/postgresql7/files/pgsql.sh.tmpl,v 1.16 2003/12/04 12:00:49 seanc Exp $
#
# For postmaster startup options, edit $PGDATA/postgresql.conf
#
# Note that PGDATA is set in ~pgsql/.profile, don't try to manipulate it here!
#

PREFIX=/usr/local
PGBIN=${PREFIX}/bin

case $1 in
start)
    [ -x ${PGBIN}/pg_ctl ] && {
	echo -n ' pgsql'
	su -l pgsql -c \
	    "[ -d \${PGDATA} ] && exec ${PREFIX}/bin/pg_ctl start -s -w"
    }
    ;;

stop)
    [ -x ${PGBIN}/pg_ctl ] && {
	echo -n ' pgsql'
	su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl stop -s -m fast"
    }
    ;;

restart)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl restart -s -m fast"
    }
    ;;

reload)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl reload"
    }
    ;;

status)
    [ -x ${PGBIN}/pg_ctl ] && {
	exec su -l pgsql -c "exec ${PREFIX}/bin/pg_ctl status"
    }
    ;;

*)
    echo "usage: `basename $0` {start|stop|restart|reload|status}" >&2
    exit 64
    ;;
esac
